[问题]Skype中文界面下不能使用即时消息?过去是可以的。

为当前最终发行版之前的所有版本提供支持
回复
qdzheng
帖子: 277
注册时间: 2006-12-03 23:00
送出感谢: 0
接收感谢: 0

[问题]Skype中文界面下不能使用即时消息?过去是可以的。

#1

帖子 qdzheng » 2007-01-13 0:37

我安装的skype是来自skype网站提供的源,原来可以使用即时消息的,并且可以输入中文。
现在的情况是,连即时消息的对话框都出不来了,只要是点了需要即时消息对话框的地方,skype就没有响应。

前一段时间,为了让部分java程序可以输入中文,我调整过系统的中文输入法,删除了im-switch。不知道是不是这个原因?

另外,以root身份进去后,可正常使用skype(英文的locale)。

那位高人可以给个方案?谢谢。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2007-01-13 1:09

export LC_ALL=C; skype
试试。
如果可以。建立一个bash。类似这样的。
$● cat /usr/local/bin/inkscape
#!/bin/bash
export LC_ALL=C;/usr/bin/inkscape
● 鸣学
qdzheng
帖子: 277
注册时间: 2006-12-03 23:00
送出感谢: 0
接收感谢: 0

#3

帖子 qdzheng » 2007-01-13 9:52

谢谢楼上。
可以出对话框了,不过,还有两个问题:
1、汉字显示有问题了,部分汉字显示为一个"."
2、不能输入汉字了。

还有别的办法吗?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2007-01-13 18:19

那试试在英文locale下面配置好scim输入法。im-switch的那种吧。我没用这个。没办法实验的。
export LC_ALL=C就是临时使用英文环境的意思。或者多搜索下skype,看有其他方法没。
● 鸣学
头像
sinoyster
帖子: 958
注册时间: 2005-10-16 13:24
来自: 四川成都
送出感谢: 2 次
接收感谢: 0
联系:

#5

帖子 sinoyster » 2007-01-13 19:41

LZ是用什么版本的skype?我用静态编译的解开就可以用完全没问题
Thank you Ubuntu Team!!!!
I still can't belive this is free...
qdzheng
帖子: 277
注册时间: 2006-12-03 23:00
送出感谢: 0
接收感谢: 0

#6

帖子 qdzheng » 2007-01-13 20:21

sinoyster 写了:LZ是用什么版本的skype?我用静态编译的解开就可以用完全没问题
是下面的这个:
deb http://download.skype.com/linux/repos/debian/ stable non-free

也是一直用的好好的。

现在的原因可能是与SCIM有关吧。
被输入法的冲突搞得头大了,原因是对Linux平台的输入法原理机制不清楚啊。

哪位能给说说啊。
ohjust
帖子: 19
注册时间: 2007-01-10 23:25
送出感谢: 0
接收感谢: 0

#7

帖子 ohjust » 2007-01-15 19:46

我的同楼主相同的命运,一打开中文输入SKYPE就没反应了。只能强制退出!我用FCITX!
qdzheng
帖子: 277
注册时间: 2006-12-03 23:00
送出感谢: 0
接收感谢: 0

#8

帖子 qdzheng » 2007-01-20 23:15

原因是使用了skype的中文界面,我改回英文界面一切正常了。
可以发送即时消息,也可可以输入汉字了。

奇怪啊,为什么使用了中文界面后,就不能发送即时消息呢?看来是skype本身的问题。。
xiechy
帖子: 1074
注册时间: 2006-01-18 15:01
送出感谢: 0
接收感谢: 1 次

#9

帖子 xiechy » 2007-01-21 10:44

QT_IM_MODULE?
qdzheng
帖子: 277
注册时间: 2006-12-03 23:00
送出感谢: 0
接收感谢: 0

#10

帖子 qdzheng » 2007-01-21 12:48

我现在用的是fcitx(也用scim,skype也会出现同样的问题),如下:




代码: 全选

QT_IM_MODULE="XIM"
在myEclipse中的UML工具里(Java程序界面,非SWT的那种),经常出现程序不响应的情况,只能强制中止应用程序。是不是也与skype的问题类似,或者说是一个原因引起的呢?
回复

回到 “老旧版本支持”